rem AdaDoc Batch file

@ECHO OFF
if .%1. == .. goto help
if .%1. == .-cl. goto clean
if .%1. == .-v. goto verbose
if .%1. == .-h. goto help


:make
   gnatmake adadoc -Itools -Iparser -Imodules %2 %3 %4 %5 -largs -lxmlada_sax -lxmlada_input_sources -lxmlada_unicode
goto endBatch

:verbose
   ECHO ON
goto make

:clean
   del *.o
   del *.ali
   del b~*.ad*
goto endBatch

:help
   ECHO  __________________________________________________
   ECHO  AdaDoc Bath file
   ECHO  .
   ECHO  Usage : make [make_option [gnatmake_option] [gnatmake_option] [gnatmake_option] [gnatmake_option]]
   ECHO  .
   ECHO          make_option : -c  = make AdaDoc
   ECHO                        -v  = make AdaDoc (verbose)
   ECHO                        -h  = show this help
   ECHO                        -cl = clean folder
   ECHO  __________________________________________________
goto endBatch


:endBatch
   ECHO  Batch Done !

